<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <style>
        .centertext {
            text-align: center;
            font-size: 20pt;
            margin: 5px;
        }
        
        .boldtext{
            font-weight: bold;
        }

        .card {
            padding: 5px;
            border-style: solid;
            background-color: rgb(118, 118, 121);
            width: 400px;
            text-align: center
        }

        .w100px{
            width: 100px;
        }
    </style>
</head>

<body>
    <div class="card">
        <div><input type="text" id="num1" value="0" class="centertext"></div>
        <div class="centertext boldtext">+</div>
        <div><input type="text" id="num2" value="0" class="centertext"></div>
        <div><button class="centertext w100px" onclick="doAdd()">=</button></div>
        <div id ="result" class="centertext">0</div>
    </div>
</body>
<script>
    //console.log("Hello World");
    function doAdd() {
        //console.log("Call doAdd()");
        const strNum1 = document.getElementById("num1").value;
        const strNum2 = document.getElementById("num2").value;
        const result = parseInt(strNum1) + parseInt(strNum2);
        console.log(result);
        document.getElementById("result").innerHTML = result;
    }
</script>

</html>